#!/usr/bin/env node
"use strict";

var _yargs = require("yargs");

var _yargs2 = _interopRequireDefault(_yargs);

var _index = require("../index");

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var pkg = require(process.env.TRAVIS_BUILD_DIR + "/package.json");


var argv = _yargs2.default.version(pkg.version).help("h").alias("h", "help").wrap(100).usage("Usage: $0 <options>").option("m", {
    alias: "mandatory",
    default: true,
    describe: "Check if you want your push is mandatory",
    type: "boolean"
}).option("d", {
    alias: "description",
    default: "travis deploy - $TRAVIS_COMMIT",
    describe: "Description of the deployment",
    type: "string"
}).option("p", {
    alias: "platform",
    default: ["iOS", "android"],
    describe: "Platform to push [iOS or android]",
    choices: ["iOS", "android"],
    type: "array"
}).argv;

(0, _index2.default)(argv);